Name: xorg-drv-wacom
Version: 0.11.1
Release: alt1.M60T.1
Epoch: 1
Summary: Wacom input driver
License: GPLv2
Group: System/X11
Url: http://linuxwacom.sourceforge.net/
Packager: Valery Inozemtsev <shrek@altlinux.ru>

PreReq: XORG_ABI_XINPUT = %get_xorg_abi_xinput
Conflicts: linuxwacom

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(Pre): xorg-sdk
BuildRequires: doxygen libX11-devel libXi-devel libXext-devel libXrandr-devel libudev-devel

%description
wacom is an X input driver for Wacom devices

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--disable-static \
	--with-xorg-module-dir=%_x11modulesdir
%make_build

%install
%make DESTDIR=%buildroot install
cat > 10-wacom.rules << _EOF_
ACTION!="add|change", GOTO="wacom_end"
ATTRS{id}=="WACf*" ENV{NAME}="Serial Wacom Tablet", ENV{ID_INPUT}="1", ENV{ID_INPUT_TABLET}="1"
ATTRS{id}=="FUJ*" ENV{NAME}="Serial Wacom Tablet", ENV{ID_INPUT}="1", ENV{ID_INPUT_TABLET}="1"
LABEL="wacom_end"
_EOF_
install -pDm644 10-wacom.rules %buildroot%_sysconfdir/udev/rules.d/10-wacom.rules

%files
%_bindir/xsetwacom
%_x11modulesdir/input/*.so
%_xorgsysconfigdir/*.conf
%_sysconfdir/udev/rules.d/10-wacom.rules
%_man1dir/*.1*
%_man4dir/*.4*

%changelog
* Sat Dec 17 2011 Michael Shigorin <mike@altlinux.org> 1:0.11.1-alt1.M60T.1
- NMU: added udev rules for serial tablets (closes: #26723)

* Sun Jun 19 2011 Valery Inozemtsev <shrek@altlinux.ru> 1:0.11.1-alt1
- 0.11.0

* Thu Apr 28 2011 Valery Inozemtsev <shrek@altlinux.ru> 1:0.11.0-alt1
- 0.11.0

* Wed Feb 23 2011 Valery Inozemtsev <shrek@altlinux.ru> 1:0.10.11-alt1
- 0.10.11

* Wed Dec 08 2010 Valery Inozemtsev <shrek@altlinux.ru> 1:0.10.10-alt1
- 0.10.10

* Sun Aug 22 2010 Valery Inozemtsev <shrek@altlinux.ru> 1:0.10.8-alt1
- 0.10.8

* Mon May 03 2010 Valery Inozemtsev <shrek@altlinux.ru> 1:0.10.6-alt1
- 0.10.6

* Thu Feb 18 2010 Valery Inozemtsev <shrek@altlinux.ru> 1:0.10.4-alt3
- added xorg.conf.d config

* Mon Feb 15 2010 Valery Inozemtsev <shrek@altlinux.ru> 1:0.10.4-alt2
- requires XORG_ABI_XINPUT = 9.0

* Sat Jan 23 2010 Valery Inozemtsev <shrek@altlinux.ru> 1:0.10.4-alt1
- 0.10.4

* Thu Dec 24 2009 Valery Inozemtsev <shrek@altlinux.ru> 1:0.10.3-alt1
- 0.10.3

